classification
Title: PEP 453: Mac OS X installer integration
Type: enhancement Stage: resolved
Components: macOS Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 19406 Superseder:
Assigned To: ned.deily Nosy List: larry, ncoghlan, ned.deily, python-dev
Priority: Keywords:

Created on 2013-11-11 10:34 by ncoghlan, last changed 2013-11-23 08:24 by python-dev. This issue is now closed.

Messages (5)
msg202611 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-11 10:34
Part of the PEP 453 implementation as tracked in issue 19347.

This issue covers the Mac OS X installer update to include a new option to choose whether or not to invoke "python -m ensurepip --upgrade" on the just installed Python.
msg202942 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-15 11:52
Based on a comment from MvL in issue 19550 (the Windows installer counterpart), it may be better to say something like "Install/update pip?" as a prompt (since leaving the option checked may also update an existing pip installation that is older than the bundled one)
msg203969 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 06:26
New changeset 4e12f145f18f by Ned Deily in branch 'default':
Issue #19551: PEP 453 - OS X installer now installs or upgrades pip by default.
http://hg.python.org/cpython/rev/4e12f145f18f
msg203970 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 06:39
New changeset 257fda20a6cf by Ned Deily in branch 'default':
Issue #19551: Update whatsnew.
http://hg.python.org/cpython/rev/257fda20a6cf
msg203977 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 08:24
New changeset 7c4d1daa0bc1 by Ned Deily in branch 'default':
Issue #19551: Update installer Welcome file.
http://hg.python.org/cpython/rev/7c4d1daa0bc1
History
Date User Action Args
2013-11-23 08:24:53python-devsetmessages: + msg203977
2013-11-23 06:41:20ned.deilysetpriority: release blocker ->
status: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-11-23 06:39:55python-devsetmessages: + msg203970
2013-11-23 06:26:32python-devsetnosy: + python-dev
messages: + msg203969
2013-11-15 11:52:37ncoghlansetmessages: + msg202942
2013-11-11 12:26:00ncoghlansetdependencies: + PEP 453: add the ensurepip module
2013-11-11 11:56:09ncoghlanlinkissue19347 dependencies
2013-11-11 10:34:55ncoghlancreate